package net.sf.logdistiller.logtypes.csv;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.*;

import net.sf.logdistiller.LogType;
import net.sf.logdistiller.LogTypes;

/**
 * Declaration of CSV format log types.
 */
public class CSVLogTypes
    extends LogTypes
{
    public final static LogType CSV = CSVLogEvent.LOGTYPE;

    private final static LogType[] LOGTYPES = { CSV };

    private final static List LOGTYPES_LIST = Collections.unmodifiableList( Arrays.asList( LOGTYPES ) );

    public List defineLogTypes()
    {
        return LOGTYPES_LIST;
    }
}
